<?php
	include_once('config.php');   
    if(!isset($_SESSION['custId'])) 
    {
         header("Location: ".ROOTPATH."/");
         die;
    }  

     			
         if(isset($_POST['submitLogin']))
         {   
				 	
					if(isset($_POST['source']))
						$source	= $_POST['source'];
					else
						$source	= "NA";
					 
					$stmt=$conn->prepare("update pw__comdtdata set cmdt=:cmdt,grade=:grade,dat1=:dat1,dat2=:dat2,dat3=:dat3,avgdta=:avgdta,center=:center,source=:source,Tdate=:Tdate,index1=:index1,index2=:index2,index3=:index3,perc=:perc,csr=:csr where id=:id");   
					$stmt->bindValue(':cmdt', $_POST['commodity'] , PDO::PARAM_STR); 
					$stmt->bindValue(':grade', $_POST['grade'] , PDO::PARAM_STR); 
					$stmt->bindValue(':dat1', $_POST['before1'] , PDO::PARAM_STR);  
					$stmt->bindValue(':dat2', $_POST['before2'] , PDO::PARAM_STR);  
					$stmt->bindValue(':dat3', $_POST['before3'] , PDO::PARAM_STR);  
					$stmt->bindValue(':avgdta', $_POST['avg']  , PDO::PARAM_STR);  
					$stmt->bindValue(':center', $_POST['center'] , PDO::PARAM_STR);  
					$stmt->bindValue(':source', $source , PDO::PARAM_STR);  
					$stmt->bindValue(':Tdate', date("d-M-Y"), PDO::PARAM_STR);    
					$stmt->bindValue(':index1', $_POST['index1'] , PDO::PARAM_STR); 
					$stmt->bindValue(':index2', $_POST['index2'] , PDO::PARAM_STR); 
					$stmt->bindValue(':index3', $_POST['index3'] , PDO::PARAM_STR); 
					$stmt->bindValue(':perc', $_POST['percentage'] , PDO::PARAM_STR); 
					$stmt->bindValue(':csr', $_POST['csr'] , PDO::PARAM_STR); 
					$stmt->bindValue(':id', $_REQUEST['id'] , PDO::PARAM_STR); 
					$stmt->execute();   
					$_SESSION['comdTY'] = "Commodity Addded";
					header("Location: edit-addcomodity.php?id=".$_REQUEST['id'].'&randNo='.$_REQUEST['randNo']);
					die; 
         }  
		 
		$stmt=$conn->prepare("select * from  pw__comdtdata where id=:cuurentId");    
		$stmt->bindValue(':cuurentId',  $_REQUEST['id'], PDO::PARAM_STR);     
		$stmt->execute(); 
		$Result = $stmt->fetch(PDO::FETCH_OBJ);      
		 


include_once("view/edit-addcomodity.php");
?>